## Index

### Type aliases

- SetAttributeOf

### Functions

- applyFnWrapWithSet
- arrayToListAttribute
- arrayToSetAttribute
- listAttributeToArray
- setAttributeToArray
- spreadSetAndApplyToFn
- wrapMapperForDynamoListJsArray
- wrapMapperForDynamoListJsSet
- wrapMapperForDynamoSetJsArray
- wrapMapperForDynamoSetJsSet

## Type aliases

### SetAttributeOf

SetAttributeOf: SetAttributeOf<A>

- Defined in mapper/wrap-mapper-for-collection.function.ts:14

## Functions

### applyFnWrapWithSet

- applyFnWrapWithSet<A, R>(fn: function): (Anonymous function)

- - Defined in mapper/wrap-mapper-for-collection.function.ts:88

  returns a function which will execute the given function and wraps its return value in a Set

  #### Type parameters

  - #### A

  - #### R

  #### Parameters

  - ##### fn: function

    - - (arg: A): R[]

      - #### Parameters

        - ##### arg: A

        #### Returns R[]

  #### Returns (Anonymous function)

### arrayToListAttribute

- arrayToListAttribute<T, A>(customMapper: MapperForType<T, A>): (Anonymous function)

- - Defined in mapper/wrap-mapper-for-collection.function.ts:21

  #### Type parameters

  - #### T

  - #### A: StringAttribute | NumberAttribute | BinaryAttribute

  #### Parameters

  - ##### customMapper: MapperForType<T, A>

  #### Returns (Anonymous function)

### arrayToSetAttribute

- arrayToSetAttribute<T, A>(customMapper: MapperForType<T, A>): (Anonymous function)

- - Defined in mapper/wrap-mapper-for-collection.function.ts:49

  #### Type parameters

  - #### T

  - #### A: StringAttribute | NumberAttribute | BinaryAttribute

  #### Parameters

  - ##### customMapper: MapperForType<T, A>

  #### Returns (Anonymous function)

### listAttributeToArray

- listAttributeToArray<T, A>(customMapper: MapperForType<T, A>): (Anonymous function)

- - Defined in mapper/wrap-mapper-for-collection.function.ts:30

  #### Type parameters

  - #### T

  - #### A: StringAttribute | NumberAttribute | BinaryAttribute

  #### Parameters

  - ##### customMapper: MapperForType<T, A>

  #### Returns (Anonymous function)

### setAttributeToArray

- setAttributeToArray<T, A>(customMapper: MapperForType<T, A>): (Anonymous function)

- - Defined in mapper/wrap-mapper-for-collection.function.ts:34

  #### Type parameters

  - #### T

  - #### A: StringAttribute | NumberAttribute | BinaryAttribute

  #### Parameters

  - ##### customMapper: MapperForType<T, A>

  #### Returns (Anonymous function)

### spreadSetAndApplyToFn

- spreadSetAndApplyToFn<T, R>(fn: function): (Anonymous function)

- - Defined in mapper/wrap-mapper-for-collection.function.ts:75

  returns a function which takes a Set which will be spread when applied to the given function

  #### Type parameters

  - #### T

  - #### R

  #### Parameters

  - ##### fn: function

    - - (values: T[]): R

      - #### Parameters

        - ##### values: T[]

        #### Returns R

  #### Returns (Anonymous function)

### wrapMapperForDynamoListJsArray

- wrapMapperForDynamoListJsArray<T, A>(customMapper: MapperForType<T, A>): MapperForType<T[], ListAttribute<A>>

- - Defined in mapper/wrap-mapper-for-collection.function.ts:107

  #### Type parameters

  - #### T

  - #### A: StringAttribute | NumberAttribute | BinaryAttribute

  #### Parameters

  - ##### customMapper: MapperForType<T, A>

  #### Returns MapperForType<T[], ListAttribute<A>>

### wrapMapperForDynamoListJsSet

- wrapMapperForDynamoListJsSet<T, A>(customMapper: MapperForType<T, A>): MapperForType<Set<T>, ListAttribute<A>>

- - Defined in mapper/wrap-mapper-for-collection.function.ts:114

  #### Type parameters

  - #### T

  - #### A: StringAttribute | NumberAttribute | BinaryAttribute

  #### Parameters

  - ##### customMapper: MapperForType<T, A>

  #### Returns MapperForType<Set<T>, ListAttribute<A>>

### wrapMapperForDynamoSetJsArray

- wrapMapperForDynamoSetJsArray<T, A>(customMapper: MapperForType<T, A>): MapperForType<T[], SetAttributeOf<A>>

- - Defined in mapper/wrap-mapper-for-collection.function.ts:93

  #### Type parameters

  - #### T

  - #### A: StringAttribute | NumberAttribute | BinaryAttribute

  #### Parameters

  - ##### customMapper: MapperForType<T, A>

  #### Returns MapperForType<T[], SetAttributeOf<A>>

### wrapMapperForDynamoSetJsSet

- wrapMapperForDynamoSetJsSet<T, A>(customMapper: MapperForType<T, A>): MapperForType<Set<T>, SetAttributeOf<A>>

- - Defined in mapper/wrap-mapper-for-collection.function.ts:100

  #### Type parameters

  - #### T

  - #### A: StringAttribute | NumberAttribute | BinaryAttribute

  #### Parameters

  - ##### customMapper: MapperForType<T, A>

  #### Returns MapperForType<Set<T>, SetAttributeOf<A>>

Generated using TypeDoc